
QGIS Application - Bug report #8183

GRASS plugin cannot locate qgis.g.info

2013-06-27 10:54 AM - zirneklitis -

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17002

Description

Self compiled QGIS Master.

OS: Fedora 18 x 64

The GRASS plug-in is compiled without errors.

The plug-in allows to open GRASS map-sets.

The errors is generated while opening layers:

GRASS vector layer:

"Cannot get projection 

Cannot start module

command: /usr//usr/libexec/qgis/grass/modules/qgis.g.info info=proj"

GRASS raster layer:

"Cannot start module

command: /usr//usr/libexec/qgis/grass/modules/qgis.g.info info=query rast=gtopo30@demo"

The actual module location is /usr/libexec/qgis/grass/modules/qgis.g.info

History

#1 - 2013-06-27 08:42 PM - zirneklitis -

- File grass.patch added

- File path.tar.xz added

- File icons.tar.xz added

Supplemented files used for RPM packing.

#2 - 2013-06-28 01:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Pull Request or Patch supplied changed from No to Yes

zirneklitis - wrote:
Supplemented files used for RPM packing.

Would you mind submit the patch as pull request on github? Thanks!

#3 - 2013-06-28 06:42 AM - zirneklitis -

The given patch DOES NOT solve the given issue :-( The given patch is for issue #7269

#4 - 2013-06-29 08:51 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from Yes to No

#5 - 2013-07-19 08:24 AM - zirneklitis -

- Status changed from Feedback to Closed

There is an error in the “qgis_K01.spec” file. The parameter for cmake has a wrong value:

There is: -D QGIS_LIBEXEC_SUBDIR:STRING=%{_libexecdir}/%{name} \\

It should be: -D QGIS_LIBEXEC_SUBDIR:STRING=libexec/%{name} \\

Files

qgis_K01.spec 9.39 KB 2013-06-27 zirneklitis -

grass.patch 590 Bytes 2013-06-27 zirneklitis -

icons.tar.xz 60 KB 2013-06-27 zirneklitis -

path.tar.xz 10 KB 2013-06-27 zirneklitis -
